<script setup lang="ts">
import receipt from '@/services/receipt'
import { useMemberStore } from '@/stores/member'
import { useReceiptStore } from '@/stores/receipt'
import { ref } from 'vue'

const tel = ref('')
const memberStore = useMemberStore()
const receiptStore = useReceiptStore()
async function onClick() {
  await memberStore.searchMember(tel.value)
  const currentMember = memberStore.getCurrentMember() // เปลี่ยนเป็น getCurrentMember()
  if (!currentMember) {
    window.alert('Member not found!')
    tel.value = ''
  } else {
    receiptStore.receipt!.member = currentMember
    receiptStore.calReceipt()
  }
}
</script>
<template>
  <v-row no-gutters>
    <v-col cols="12" md="12">
      <v-text-field v-model="tel" density="compact" label="Search Member" append-inner-icon="mdi-magnify" single-line
        hide-details @click:append-inner="onClick" @keyup.enter="onClick" bg-color="white" rounded
        variant="outlined"></v-text-field>
    </v-col>
    <v-row class="mb-2 mt-0">
      <v-col cols="12" md="6" sm="6">
        <v-card>
          <v-list-item prepend-icon="mdi-account">
            <v-list-item-content>
              <v-list-item-title>ชื่อ: {{ memberStore.getCurrentMember() ? memberStore.getCurrentMember()!.fristName :
                ''
                }}</v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-card>
      </v-col>

      <v-col cols="12" md="6" sm="6">
        <v-card>
          <v-list-item prepend-icon="mdi-wallet-outline">
            <v-list-item-content>
              <v-list-item-subtitle>แต้ม:</v-list-item-subtitle>
              <v-list-item-title>แต้ม: {{ memberStore.getCurrentMember() ? memberStore.getCurrentMember()!.point : ''
                }}</v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-card>
      </v-col>
    </v-row>
  </v-row>
</template>

<style scoped>
.v-sheet,
.v-card {
  border-radius: 100px;
  text-decoration: none;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}
</style>
